Page MenuHomePhabricator

Prepare and maintain base container images
Closed, ResolvedPublic

Description

We should create base container images on top of which all the application containers will be built upon. Not only that but we should define the things that need to be preconfigured/preinstalled in the images as well as the structure of images that will potentionally help with tasks like logging and monitoring. There are quite a few things to think of and work on. Below is a definitely incomplete list of container images that we should end up having. The exact hierarchy/interdependencies and structure of these images is yet undefined and is the goal of this task

  • nodejs
  • python3
  • debian/jessie
  • debian/stretch

Details

Related Gerrit Patches:
operations/puppet : productionprofile::docker::builder: check out production-images
operations/puppet : productionBuild a stretch image

Event Timeline

MoritzMuehlenhoff triaged this task as High priority.Apr 7 2017, 11:20 AM

I don't think we need a trusty image. The remaining services run on trusty are in the process of migration to jessie/stretch or sunset (ocg, rcstream). Plus, supporting trusty would throw a completely different init system into the mix.

Change 350843 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Build a stretch image

https://gerrit.wikimedia.org/r/350843

I don't think we need a trusty image. The remaining services run on trusty are in the process of migration to jessie/stretch or sunset (ocg, rcstream). Plus, supporting trusty would throw a completely different init system into the mix.

Agreed, but we still have Zotero around, and it is the only service that really needs Trusty :/

I don't think we need a trusty image. The remaining services run on trusty are in the process of migration to jessie/stretch or sunset (ocg, rcstream). Plus, supporting trusty would throw a completely different init system into the mix.

Agreed, but we still have Zotero around, and it is the only service that really needs Trusty :/

I think we can live with zotero being in it's current state (VMs) instead of migrating it to kubernetes for as long as zotero is still in service.

Definitely, zotero can reside in sca* until trusty support runs out in two years.

Change 350843 merged by Muehlenhoff:
[operations/puppet@production] Build a stretch image

https://gerrit.wikimedia.org/r/350843

MoritzMuehlenhoff removed MoritzMuehlenhoff as the assignee of this task.Jun 14 2017, 5:47 PM

Change 361881 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] profile::docker::builder: check out production-images

https://gerrit.wikimedia.org/r/361881

Change 361881 merged by Giuseppe Lavagetto:
[operations/puppet@production] profile::docker::builder: check out production-images

https://gerrit.wikimedia.org/r/361881

Joe closed this task as Resolved.Jun 30 2017, 3:00 PM
Joe updated the task description. (Show Details)